Subject: Re: bug#41661: [Cuirass] Doesn't honor 'timeout' nor 'max-silent-time' leading to mising substitutes

From: Brice Waegeneire <[email-masked]>
Date: Thu, 04 Jun 2020 13:02:29 +0000

Hello,

On 2020-06-04 12:16, Ludovic Courtès wrote:
> Hi,
> 
> Leo Famulari <[email-masked]> skribis:
> 
>> We really need to improve our CI so that it's possible to discover 
>> these
>> build failures. Currently it's quite hard to monitor if they get built
>> unless you just do `guix build foo`.
> 
> Or ‘guix weather’, which is not worse than a web UI IMO.

+1 for CLI tools!

>> The last time this came up [0] it was said that maybe it's not really
>> correct to make these properties of the package, but rather of the CI
>> jobs. It makes sense but we need a solution, or stop supporting
>> underpowered architectures like armhf, because most of those machines
>> can't build this stuff themselves, and it's not good to advertise
>> support to people who will just be disappointed later.
> 
> Yeah.  I think we need to look at these on a case-by-case basis.  Guile
> is one of those packages known to hit the max-silent-time of 1h (?)
> that’s configured on berlin.  Hopefully it will no longer be the case
> starting from 3.0.3.
> 
> What about Linux-libre?  Does it hit the max absolute build time on
> armhf?

I misdiagnosed the issue, substitutes for it are available now and 
previous
seems to be there too.  IDK why it wasn't available before nor why I
couldn't manage to built it myself.

> As I wrote elsewhere, I think it makes more sense in a way to have
> those timeouts configured system-wide.  But yeah, we need to be
> pragmatic.
> 
> Thanks,
> Ludo’.

- Brice